Subject: Re: linux-next: manual merge of the omap_dss2 tree with the omap tree

From: Tomi Valkeinen <[email-masked]>
Date: Mon, 08 Feb 2010 11:29:06 +0200

On Mon, 2010-02-08 at 07:25 +0100, ext Stephen Rothwell wrote:
> Hi Tomi,
> 
> Today's linux-next merge of the omap_dss2 tree got a conflict in
> arch/arm/mach-omap2/board-am3517evm.c between commit
> 13560d875d67c06239c82a6148c1b87075701fe9 ("AM3517: Enable basic I2C
> Support") from the omap tree and commit
> 56a3d0235cd50d14d7bd4d45e55d192aa0e78cac ("OMAP: AM3517: Enable DSS2 for
> AM3517EVM board") from the omap_dss2 tree.
> 
> Juts overlapping additions.   I fixed it up (see below) and can carry the
> fix as necessary.

Thanks. I guess we can't properly fix this until the patch from omap
tree goes into mainline.

Tony, do you think this current way, in which we have board file changes
in both linux-omap and the dss tree, is best we can do? Or should all
the board file changes go through linux-omap? I fear that we will have
conflicts with every new board.

> P.S. Tomi, this omap_dss2 commit only has your Acked-by not Signed-off-by.

Hmm, do you mean there's something wrong with that, or "jfyi"? Aren't I,
as a subsys maintainer, supposed to ack the patches?

 Tomi